import {
  isBrowser
} from "./chunk-LKHGPAZI.js";
import {
  getGlobalLogger
} from "./chunk-SMUTBZJI.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-KDSRXOUT.js";
import {
  LoggerBrowserHandler
} from "./chunk-GIGOB5GN.js";
import {
  isEmpty
} from "./chunk-NXVGWT4R.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-UF6JHPFO.js.map