"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-EEVZF2QK.cjs');




var _chunk2JFLLJCXcjs = require('../../chunk-2JFLLJCX.cjs');
require('../../chunk-INPXH7MS.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-4ADDOU7L.cjs');
require('../../chunk-LKES6YKV.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-H6AB4FMJ.cjs');
require('../../chunk-CWEIXFSU.cjs');
require('../../chunk-Y6CRN6RB.cjs');
require('../../chunk-YKTO25DI.cjs');
require('../../chunk-SDJIWERF.cjs');
require('../../chunk-WOIHL7JG.cjs');
require('../../chunk-5IO67A47.cjs');
require('../../chunk-62FVEJL6.cjs');
require('../../chunk-CW42KS5Q.cjs');
require('../../chunk-4F5Y2K6L.cjs');
require('../../chunk-MAMTL4U4.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-NCUMC5XM.cjs');
require('../../chunk-QZHRO76T.cjs');
require('../../chunk-LTKDKMSI.cjs');
require('../../chunk-7XEJNHPH.cjs');
require('../../chunk-FOARFXFK.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-KMH5WX63.cjs');
require('../../chunk-BLJJRVS7.cjs');
require('../../chunk-22V6S5TF.cjs');
require('../../chunk-3A7JRF3V.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-BBX7CCGY.cjs');
require('../../chunk-QVN3W7WK.cjs');
require('../../chunk-IDBXAXLG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-BYQJFFEL.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');



var _chunk66YRDFQPcjs = require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/bin/index.spec.ts
describe("encoder", () => {
  it("should write a stream", () => {
    const stream = _chunk2JFLLJCXcjs.createBinaryStreamEncoder.call(void 0, );
    stream.writeUint32(1);
    stream.write({ a: "99" });
    stream.writeBytes([1, 2, 3], 3);
    stream.write(123);
    const bin = stream.getUint8Array();
    expect(_chunk66YRDFQPcjs.Uint8ArrayToHexDump.call(void 0, bin)).toMatchInlineSnapshot(`
      "0000  01 00 00 00 76 01 01 61 77 02 39 39 01 02 03 7d  ....v..aw.99...}
      0010  bb 01                                            \xBB.              "
    `);
    expect(stream.getLength()).toBe(18);
    const readStream = _chunk2JFLLJCXcjs.createBinaryStreamDecoder.call(void 0, bin);
    expect(readStream.getOffset()).toBe(0);
    expect(readStream.readUint32()).toBe(1);
    expect(readStream.getOffset()).toBe(4);
    expect(readStream.read()).toEqual({ a: "99" });
    expect(readStream.readBytes(3)).toMatchInlineSnapshot(`
Uint8Array [
  1,
  2,
  3,
]
`);
    expect(readStream.read()).toBe(123);
    expect(readStream.getOffset()).toBe(bin.length);
  });
  it("should bitfield", () => {
    const bf = _chunk2JFLLJCXcjs.bitfield.call(void 0, 1);
    bf.setBit(4);
    expect(bf.getValue()).toBe(17);
    bf.setBit(0, false);
    expect(bf.getValue()).toBe(16);
    bf.setBit(1);
    bf.setBit(5);
    bf.setBit(16);
    expect(bf.getValue().toString(2)).toMatchInlineSnapshot(
      '"10000000000110010"'
    );
    expect(bf.getValue()).toBe(65586);
    expect(bf.getBit(0)).toBe(false);
    expect(bf.getBit(4)).toBe(true);
    bf.toggleBit(4);
    expect(bf.getBit(4)).toBe(false);
    expect(bf.getValue()).toBe(65570);
  });
  it("should var bin", () => {
    function enc(v) {
      const e = _chunk2JFLLJCXcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeIntVar(v);
      return _chunk66YRDFQPcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(128)).toMatchInlineSnapshot('"8002"');
    expect(enc(-1)).toMatchInlineSnapshot('"41"');
    expect(enc(-691529286)).toMatchInlineSnapshot('"c699bf9305"');
    expect(enc(691529286)).toMatchInlineSnapshot('"8699bf9305"');
  });
  it("should var bin uint", () => {
    function enc(v) {
      const e = _chunk2JFLLJCXcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeUintVar(v);
      return _chunk66YRDFQPcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(127)).toMatchInlineSnapshot('"7f"');
    expect(enc(128)).toMatchInlineSnapshot(`"8001"`);
    expect(enc(255)).toMatchInlineSnapshot('"ff01"');
    expect(enc(256)).toMatchInlineSnapshot('"8002"');
    expect(enc(691529286)).toMatchInlineSnapshot('"c6ccdfc902"');
  });
});
//# sourceMappingURL=index.spec.cjs.map