import {
  ResillientChannel
} from "../../chunk-WHC33HV6.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-L7ERHMSS.js";
import "../../chunk-RI4H2YNF.js";
import "../../chunk-AJ3WFXQE.js";
import {
  DebugChannel
} from "../../chunk-CRXTUPG7.js";
import "../../chunk-CJLX6OUU.js";
import "../../chunk-LDQLGI37.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-GMDZVSOA.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-LYDX5BFI.js";
import "../../chunk-CZZTWTGB.js";
import "../../chunk-CLQAILWG.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-OKF7THJ6.js";
import "../../chunk-SMUTBZJI.js";
import "../../chunk-RJL5WFWU.js";
import "../../chunk-E5KC2C3C.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-AWQTENOU.js";
import "../../chunk-E6MPGGAE.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-5HGOJFJL.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-KQSQJAHU.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-XOOIUMF2.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-M6LJR6SZ.js";
import "../../chunk-NXVGWT4R.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-O4U55KGC.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new ResillientChannel();
    rc.postMessage("1");
    const d1 = new DebugChannel();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new DebugChannel();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.js.map