"use strict";

var _chunk5IO67A47cjs = require('../../chunk-5IO67A47.cjs');
require('../../chunk-62FVEJL6.cjs');


var _chunk4F5Y2K6Lcjs = require('../../chunk-4F5Y2K6L.cjs');
require('../../chunk-MAMTL4U4.cjs');
require('../../chunk-LTKDKMSI.cjs');
require('../../chunk-7XEJNHPH.cjs');
require('../../chunk-FOARFXFK.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-KMH5WX63.cjs');
require('../../chunk-BLJJRVS7.cjs');
require('../../chunk-22V6S5TF.cjs');
require('../../chunk-3A7JRF3V.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-BBX7CCGY.cjs');
require('../../chunk-QVN3W7WK.cjs');
require('../../chunk-IDBXAXLG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-BYQJFFEL.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunk4F5Y2K6Lcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunk5IO67A47cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunk5IO67A47cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunk4F5Y2K6Lcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunk5IO67A47cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunk5IO67A47cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map