"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkP2GPYTVJcjs = require('./chunk-P2GPYTVJ.cjs');


var _chunk2XPGPDYNcjs = require('./chunk-2XPGPDYN.cjs');


var _chunk6XG57PHGcjs = require('./chunk-6XG57PHG.cjs');


var _chunkBLJJRVS7cjs = require('./chunk-BLJJRVS7.cjs');


var _chunkHMHMDCOKcjs = require('./chunk-HMHMDCOK.cjs');

// src/node/log/log-context-node.ts
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function Logger(name, level) {
  return _chunkBLJJRVS7cjs.getGlobalLogger.call(void 0, (context) => {
    const handlers = [
      _chunkP2GPYTVJcjs.LoggerNodeHandler.call(void 0, {
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = _nullishCoalesce(_process2.default.env.ZEED_LOG, () => ( _process2.default.env.LOG));
    const time = _chunkHMHMDCOKcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_TIME, true);
    const pretty = _chunkHMHMDCOKcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(_chunk2XPGPDYNcjs.LoggerFileHandler.call(void 0, _chunk6XG57PHGcjs.toPath.call(void 0, logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}



exports.Logger = Logger;
//# sourceMappingURL=chunk-KWXFD4GH.cjs.map