"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-EEVZF2QK.cjs');
require('../chunk-2JFLLJCX.cjs');
require('../chunk-INPXH7MS.cjs');
require('../chunk-7GW3ENUZ.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-4ADDOU7L.cjs');
require('../chunk-LKES6YKV.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-CWEIXFSU.cjs');
require('../chunk-Y6CRN6RB.cjs');
require('../chunk-YKTO25DI.cjs');
require('../chunk-SDJIWERF.cjs');
require('../chunk-WOIHL7JG.cjs');
require('../chunk-5IO67A47.cjs');
require('../chunk-62FVEJL6.cjs');
require('../chunk-CW42KS5Q.cjs');
require('../chunk-4F5Y2K6L.cjs');
require('../chunk-MAMTL4U4.cjs');
require('../chunk-QLGR2XSS.cjs');
require('../chunk-NCUMC5XM.cjs');
require('../chunk-QZHRO76T.cjs');
require('../chunk-LTKDKMSI.cjs');
require('../chunk-7XEJNHPH.cjs');
require('../chunk-FOARFXFK.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-KMH5WX63.cjs');


var _chunkBLJJRVS7cjs = require('../chunk-BLJJRVS7.cjs');
require('../chunk-22V6S5TF.cjs');
require('../chunk-3A7JRF3V.cjs');
require('../chunk-5CIFX7O6.cjs');






var _chunkBBX7CCGYcjs = require('../chunk-BBX7CCGY.cjs');
require('../chunk-QVN3W7WK.cjs');
require('../chunk-IDBXAXLG.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-BYQJFFEL.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-R7WMTFSS.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-GU6AYGWK.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-7WFR6WZW.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-USVMO7UT.cjs');
require('../chunk-TNS27NHR.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-HMHMDCOK.cjs');
require('../chunk-3SM3C7HY.cjs');
require('../chunk-UXNJ5WZM.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-CEXYDYSH.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-XDY4SRCL.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-QU2LM4AI.cjs');
require('../chunk-BMRI2X66.cjs');



var _chunk66YRDFQPcjs = require('../chunk-66YRDFQP.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/common/crypto.spec.ts
var log = _chunkBLJJRVS7cjs.DefaultLogger.call(void 0, "crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(_chunk66YRDFQPcjs.equalBinary.call(void 0, new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => _chunkBBX7CCGYcjs.randomUint8Array.call(void 0, 8)
    );
    let id;
    while (id = list.pop()) {
      expect(_chunk66YRDFQPcjs.equalBinary.call(void 0, id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(_chunk66YRDFQPcjs.toHex.call(void 0, await _chunkBBX7CCGYcjs.digest.call(void 0, "abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await _chunkBBX7CCGYcjs.digest.call(void 0, new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await _chunkBBX7CCGYcjs.deriveKeyPbkdf2.call(void 0, new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await _chunkBBX7CCGYcjs.encrypt.call(void 0, sample, key);
    const bin = await _chunkBBX7CCGYcjs.decrypt.call(void 0, cipher, key);
    expect(_chunk66YRDFQPcjs.equalBinary.call(void 0, sample, bin)).toBe(true);
    const binFix = await _chunkBBX7CCGYcjs.decrypt.call(void 0, 
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.cjs.map