"use strict";

var _chunk2XPGPDYNcjs = require('../../chunk-2XPGPDYN.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-KMH5WX63.cjs');



var _chunkBLJJRVS7cjs = require('../../chunk-BLJJRVS7.cjs');
require('../../chunk-22V6S5TF.cjs');
require('../../chunk-3A7JRF3V.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-QVN3W7WK.cjs');


var _chunkIDBXAXLGcjs = require('../../chunk-IDBXAXLG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-BYQJFFEL.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');


var _chunkQYCE2TUJcjs = require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunkBLJJRVS7cjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunk2XPGPDYNcjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkIDBXAXLGcjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunkBLJJRVS7cjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkQYCE2TUJcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map